import resolve from 'rollup-plugin-node-resolve'
import commonjs from 'rollup-plugin-commonjs'

export default {
  entry: 'src/strapp.js',
  dest: 'www/strapp.min.js',
  moduleName: 'strapp',
  format: 'iife',
  sourceMap: true,
  plugins: [
    resolve({
      jsnext: true,
      browser: true,
      extensions: [ '.js', '.json' ],
      preferBuiltins: false
    }),
    commonjs()
  ]
}
